"use strict";
// show program info
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const util_1 = require("util");
const figlet_1 = __importDefault(require("figlet"));
const chalk_1 = __importDefault(require("chalk"));
const readFilePromise = util_1.promisify(fs_1.readFile);
const PACKAGE_JSON_PATH = '../../package.json';
const TITLE = 'JSON-LD CLI tool for NodeJS\n' +
    '(C) 2018 by Aaron Sterling\n';
function showProgramInfo() {
    figlet_1.default.text('JLDC', (err, res) => {
        if (!err) {
            console.log(chalk_1.default.greenBright(res));
        }
        readFilePromise(PACKAGE_JSON_PATH, 'utf8')
            .then(info => showInfo(JSON.parse(info)))
            .catch(_ => showInfo({}));
    });
}
exports.showProgramInfo = showProgramInfo;
function showInfo(packageJSON) {
    const version = packageJSON.version || 'Version information not available.';
    const license = packageJSON.license || 'License not available.';
    const repository = packageJSON.repository || 'Repository not available.';
    console.log(chalk_1.default.greenBright(TITLE));
    console.log('Version: ', version);
    console.log('License: ', license);
    console.log('Repository: ', repository);
}
//# sourceMappingURL=program-info.js.map